Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## org.apache.openjpa.persistence.jdbc
Enum IsolationLevel

    java.lang.Object
      java.lang.Enum<IsolationLevel>
          org.apache.openjpa.persistence.jdbc.IsolationLevel

All Implemented Interfaces:
  Serializable, Comparable<IsolationLevel>, OpenJPAEnum<IsolationLevel>

    public enum IsolationLevel

extends Enum<IsolationLevel>
implements OpenJPAEnum<IsolationLevel>

Isolation levels for use in `JDBCFetchPlan.setIsolation(org.apache.openjpa.persistence.jdbc.IsolationLevel)`.

Since:
  0.9.7

Enum Constant Summary
`DEFAULT`
`NONE`
`READ_COMMITTED`
`READ_UNCOMMITTED`
`REPEATABLE_READ`
`SERIALIZABLE`

Method Summary
`int` | `convertToKernelConstant(int i)` Convert the given integer to an equivalent kernel constant.
`int` | `convertToKernelConstant(String s)` Convert the given String to an equivalent kernel constant.
`static IsolationLevel` | `fromConnectionConstant(int constant)`
`IsolationLevel` | `fromKernelConstant(int i)`
`int` | `getConnectionConstant()`
`int` | `toKernelConstant()` Convert this receiver to an equivalent kernel constant.
`static int` | `toKernelConstantFromString(String s)`
`static IsolationLevel` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static IsolationLevel[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### DEFAULT

    public static final IsolationLevel DEFAULT

### NONE

    public static final IsolationLevel NONE

### READ_UNCOMMITTED

    public static final IsolationLevel READ_UNCOMMITTED

### READ_COMMITTED

    public static final IsolationLevel READ_COMMITTED

### REPEATABLE_READ

    public static final IsolationLevel REPEATABLE_READ

### SERIALIZABLE

    public static final IsolationLevel SERIALIZABLE

Method Detail

### values

    public static IsolationLevel[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (IsolationLevel c : IsolationLevel.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static IsolationLevel valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name
    `NullPointerException` - if the argument is null

### getConnectionConstant

    public int getConnectionConstant()

### fromConnectionConstant

    public static IsolationLevel fromConnectionConstant(int constant)

### fromKernelConstant

    public IsolationLevel fromKernelConstant(int i)

### toKernelConstant

    public int toKernelConstant()

  Description copied from interface: `OpenJPAEnum`
  Convert this receiver to an equivalent kernel constant.

  Specified by:
    `toKernelConstant` in interface `OpenJPAEnum<IsolationLevel>`

### toKernelConstantFromString

    public static int toKernelConstantFromString(String s)

### convertToKernelConstant

    public int convertToKernelConstant(String s)

  Description copied from interface: `OpenJPAEnum`
  Convert the given String to an equivalent kernel constant. This method has a static semantics in the sense that it can be invoked on any enum instance, but the conversion is done w.r.t. all enums of the generic type.

  Specified by:
    `convertToKernelConstant` in interface `OpenJPAEnum<IsolationLevel>`

### convertToKernelConstant

    public int convertToKernelConstant(int i)

  Description copied from interface: `OpenJPAEnum`
  Convert the given integer to an equivalent kernel constant. This method has a static semantics in the sense that it can be invoked on any enum instance, but the conversion is done w.r.t. all enums of the generic type.

  Specified by:
    `convertToKernelConstant` in interface `OpenJPAEnum<IsolationLevel>`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Copyright © 2006-2013 Apache Software Foundation. All Rights Reserved.